TRANSFER_SECUWALL(1)

NAME
transfer_secuwall - secunet wall configuration export utility

SYNOPSIS
transfer_secuwall [-l] [-h] [-n] -v volumeid [-f filename.xml] [-d workdir] [-a templatedir] firewall_object_name

The switches -a, -f and -d are optional. If they are not specified, the appropriate defaults are used.

DESCRIPTION
transfer_secuwall(1) is a helper utility to compress and export secunet wall host OS specific firewall configuration to a portable device.

It is also capable of searching and displaying all transfer devices of a system which are suitable for config transfer.

OPTIONS

-l
    List all portable devices of the system.

-h
    Display help text.

-n
    Append firewall object name to transfer tarball. The default is false.

-v
    Transfer partition. Specifies the destination partition for firewall configuration export (e.g. /dev/sdc1).

-f
    Firewall Builder XML file with object definition of firewall to export config. If not specified, the filename will be constructed from the workdir and firewall_object_name values: workdir + fwobjectname + .fwb

-d
    Defines the working directory. If not specified, the current directory will be used.

-a
    Append files from given template directory to transfer tarball.

firewall_object_name
    Firewall object name.

EXAMPLES
$ transfer_secuwall -f /tmp/cluster.fwb -d /tmp -v /dev/sdc1 fw3

This will export the configuration of secunet wall firewall fw3 to the partition /dev/sdc1, using the Firewall Builder XML file cluster.fwb in the working directory /tmp.

AUTHOR
Written by Reto Buerki <buerki@swiss-it.ch>.